Bug 1879315 (CVE-2020-8252) - CVE-2020-8252 libuv: buffer overflow in realpath
Summary: CVE-2020-8252 libuv: buffer overflow in realpath
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8252
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1878551 1878543 1878544 1878546 1878547 1878548 1878550 1879330 1879335 1879336 1879337 1879338 1879339 1879342 1881870 1916462 1917867
Blocks: 1878541
TreeView+ depends on / blocked
 
Reported: 2020-09-16 01:19 UTC by Doran Moppert
Modified: 2021-02-16 19:16 UTC (History)
22 users (show)

Fixed In Version: nodejs 12.18.4, nodejs 10.22.1, libuv 1.39.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw has been found in libuv. The realpath() implementation performs an incorrect calculation when allocating a buffer, leading to a potential buffer overflow. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-10-19 20:21:51 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4272 0 None None None 2020-10-19 07:47:53 UTC
Red Hat Product Errata RHSA-2020:4903 0 None None None 2020-11-04 12:32:28 UTC
Red Hat Product Errata RHSA-2020:5086 0 None None None 2020-11-11 13:35:30 UTC
Red Hat Product Errata RHSA-2021:0521 0 None None None 2021-02-15 18:26:05 UTC
Red Hat Product Errata RHSA-2021:0548 0 None None None 2021-02-16 14:31:44 UTC

Description Doran Moppert 2020-09-16 01:19:03 UTC
libuv's realpath() implementation performs an incorrect calculation when allocating a buffer, leading to a potential buffer overflow.

Upstream advisory:

https://nodejs.org/en/blog/vulnerability/september-2020-security-releases/

Comment 2 Doran Moppert 2020-09-16 01:39:02 UTC
Introduced in upstream release 1.24.0

Comment 6 Doran Moppert 2020-09-16 03:00:04 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1879335]
Affects: fedora-all [bug 1879336]


Created nodejs:11/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1879337]


Created nodejs:12/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1879338]


Created nodejs:13/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1879339]


Created nodejs:14/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1879342]

Comment 14 Cedric Buissart 2020-09-30 12:43:41 UTC
Statement:

As shipped in Red Hat Software Collections (nodejs-10 & nodejs-12) as well as Red Hat Enterprise Linux 8 (nodejs-10 and nodejs-12), no incorrect use of the `UV__PATH_MAX` macro were found. Although the releases of libuv contained in these versions of nodejs are considered "Affected", it is considered not feasible to trigger the flaw.

NodeJS is included in Red Hat Quay as a dependency of Yarn which is only used while building Red Hat Quay, and not during runtime.

Red Hat Enterprise Linux 8 ships libuv-1.23.1, which is not vulnerable to this flaw.

Comment 30 errata-xmlrpc 2020-10-19 07:47:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4272 https://access.redhat.com/errata/RHSA-2020:4272

Comment 31 Product Security DevOps Team 2020-10-19 20:21:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8252

Comment 33 errata-xmlrpc 2020-11-04 12:32:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4903 https://access.redhat.com/errata/RHSA-2020:4903

Comment 36 errata-xmlrpc 2020-11-11 13:35:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5086 https://access.redhat.com/errata/RHSA-2020:5086

Comment 37 errata-xmlrpc 2021-02-15 18:26:03 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:0521 https://access.redhat.com/errata/RHSA-2021:0521

Comment 38 errata-xmlrpc 2021-02-16 14:31:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0548 https://access.redhat.com/errata/RHSA-2021:0548


Note You need to log in before you can comment on or make changes to this bug.